# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/python3-config /usr/bin/ruby libcrypt-devel libtinfo-devel valgrind-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%filter_from_requires /^python2.7._epic./d
Name:		epic5
Epoch:		0
Version:	2.1.12
Release:	alt4_2
Summary:	(E)nhanced (P)rogrammable (I)RC-II (C)lient
Group:		Networking/IRC
License:	BSD
URL:		http://www.epicsol.org/
Source0:	http://ftp.epicsol.org/pub/epic/EPIC5-PRODUCTION/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.epicsol.org/pub/epic/help/epic4_help-1.tar.gz
# Amnesiac 2.0.2 release updated on Jul 26 2010 @ 20:09
Source2:	http://amnesiac.ircii.org/amnesiac2.0.2cvs51.tgz
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	gem
BuildRequires:	pkgconfig(tcl)
BuildRequires:	perl-devel
Source44: import.info

%description
EPIC is an irc client project. The EPIC software was forked from
ircII-2.8.2 in fall 1994. There have been 5 generations of EPIC.

EPIC's development model is to provide tools to scripters rather than
features to end users. Out of the box, EPIC behaves much the same way
ircII-2.8.2 did in 1994. To truly leverage EPIC, you will need a
script pack. This %{_vendor} package includes the Amnesia script pack,
see http://amnesiac.ircii.org/

%prep
%setup -q -a 1 -T -b 0


find . -type d -name CVS | %{_bindir}/xargs -t rm -r
perl -pi -e 's|/usr/local/bin/perl5|%{__perl}|' regress/crash-irc

# silence rpmlint and convert to utf8
iconv -f iso8859-1 -t utf-8 WISHLIST > WISHLIST.conv && mv -f WISHLIST.conv WISHLIST
iconv -f iso8859-1 -t utf-8 COPYRIGHT > COPYRIGHT.conv && mv -f COPYRIGHT.conv COPYRIGHT
iconv -f iso8859-1 -t utf-8 UPDATES > UPDATES.conv && mv -f UPDATES.conv UPDATES
iconv -f iso8859-1 -t utf-8 regress/stat > regress/stat.conv && mv -f regress/stat.conv regress/stat

%build
autoreconf -vfi
%configure \
		--with-ipv6 \
		--with-perl \
		--with-ruby \
		--with-ssl \
		--without-socks \
		--with-tcl=%{_libdir}/tclConfig.sh
%make_build

%install
%makeinstall_std libexecdir=%{_bindir} sharedir=%{_datadir}

tar -xf %{SOURCE2} -C %{buildroot}%{_datadir}/%{name}/script

# FIXME for correct assignment of rights of all script files
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/epic-crypt-gpg{,-aa}
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/alloc_dump_summary.sh

%files
%doc BUG_FORM COPYRIGHT FILES WISHLIST KNOWNBUGS README
%doc README-CRYPTO UPDATES doc/* regress
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}/
%{_bindir}/%{name}-wserv4
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 0:2.1.12-alt4_2
- update by mgaimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.12-alt4_1
- rebuild to get rid of unmets

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.12-alt3_1
- rebuild to get rid of unmets

* Tue Aug 22 2023 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.12-alt2_1
- rebuild to get rid of unmets

* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 0:2.1.12-alt1_1
- update by mgaimport

* Wed Dec 14 2022 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.4-alt3_6
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0:2.1.4-alt2_6
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.4-alt2_5
- update by mgaimport

* Thu Oct 14 2021 Igor Vlasenko <viy@altlinux.org> 0:2.1.4-alt2_3
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 0:2.1.4-alt2_2
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.4-alt2_1
- rebuild to get rid of unmets

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 0:2.1.4-alt1_1
- update by mgaimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.2-alt3_2
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0:2.1.2-alt2_2
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0:2.1.2-alt1_2
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0:2.1.2-alt1_1
- update by mgaimport

* Tue Mar 24 2020 Igor Vlasenko <viy@altlinux.ru> 0:2.1.1-alt2_4
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0:2.1.1-alt2_3
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 0:2.1.1-alt2_2
- update by mgaimport

* Fri Apr 19 2019 Cronbuild Service <cronbuild@altlinux.org> 0:2.1.1-alt2_1
- rebuild to get rid of unmets

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 0:2.1.1-alt1_1
- mga update

* Sat Feb 02 2019 Igor Vlasenko <viy@altlinux.ru> 0:2.0.1-alt1_6
- rebuild with perl 5.28

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0:2.0.1-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0:2.0.1-alt1_4
- new version

